Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class Policies

    java.lang.Object
      com.amazonaws.services.elasticloadbalancing.model.Policies

    public class Policies

extends Object

Policies

Constructor Summary
`Policies()`

Method Summary
`List<AppCookieStickinessPolicy>` | `getAppCookieStickinessPolicies()` Returns the value of the AppCookieStickinessPolicies property for this object.
`List<LBCookieStickinessPolicy>` | `getLBCookieStickinessPolicies()` Returns the value of the LBCookieStickinessPolicies property for this object.
`void` | `setAppCookieStickinessPolicies(Collection<AppCookieStickinessPolicy> appCookieStickinessPolicies)` Sets the value of the AppCookieStickinessPolicies property for this object.
`void` | `setLBCookieStickinessPolicies(Collection<LBCookieStickinessPolicy> lBCookieStickinessPolicies)` Sets the value of the LBCookieStickinessPolicies property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Policies` | `withAppCookieStickinessPolicies(AppCookieStickinessPolicy... appCookieStickinessPolicies)` Sets the value of the AppCookieStickinessPolicies property for this object.
`Policies` | `withAppCookieStickinessPolicies(Collection<AppCookieStickinessPolicy> appCookieStickinessPolicies)` Sets the value of the AppCookieStickinessPolicies property for this object.
`Policies` | `withLBCookieStickinessPolicies(Collection<LBCookieStickinessPolicy> lBCookieStickinessPolicies)` Sets the value of the LBCookieStickinessPolicies property for this object.
`Policies` | `withLBCookieStickinessPolicies(LBCookieStickinessPolicy... lBCookieStickinessPolicies)` Sets the value of the LBCookieStickinessPolicies property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Policies

    public Policies()

Method Detail

### getAppCookieStickinessPolicies

    public List<AppCookieStickinessPolicy> getAppCookieStickinessPolicies()

  Returns the value of the AppCookieStickinessPolicies property for this object.

  Returns:
    The value of the AppCookieStickinessPolicies property for this object.

### setAppCookieStickinessPolicies

    public void setAppCookieStickinessPolicies(Collection<AppCookieStickinessPolicy> appCookieStickinessPolicies)

  Sets the value of the AppCookieStickinessPolicies property for this object.

  Parameters:
    `appCookieStickinessPolicies` - The new value for the AppCookieStickinessPolicies property for this object.

### withAppCookieStickinessPolicies

    public Policies withAppCookieStickinessPolicies(AppCookieStickinessPolicy... appCookieStickinessPolicies)

  Sets the value of the AppCookieStickinessPolicies property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `appCookieStickinessPolicies` - The new value for the AppCookieStickinessPolicies property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAppCookieStickinessPolicies

    public Policies withAppCookieStickinessPolicies(Collection<AppCookieStickinessPolicy> appCookieStickinessPolicies)

  Sets the value of the AppCookieStickinessPolicies property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `appCookieStickinessPolicies` - The new value for the AppCookieStickinessPolicies property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLBCookieStickinessPolicies

    public List<LBCookieStickinessPolicy> getLBCookieStickinessPolicies()

  Returns the value of the LBCookieStickinessPolicies property for this object.

  Returns:
    The value of the LBCookieStickinessPolicies property for this object.

### setLBCookieStickinessPolicies

    public void setLBCookieStickinessPolicies(Collection<LBCookieStickinessPolicy> lBCookieStickinessPolicies)

  Sets the value of the LBCookieStickinessPolicies property for this object.

  Parameters:
    `lBCookieStickinessPolicies` - The new value for the LBCookieStickinessPolicies property for this object.

### withLBCookieStickinessPolicies

    public Policies withLBCookieStickinessPolicies(LBCookieStickinessPolicy... lBCookieStickinessPolicies)

  Sets the value of the LBCookieStickinessPolicies property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `lBCookieStickinessPolicies` - The new value for the LBCookieStickinessPolicies property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withLBCookieStickinessPolicies

    public Policies withLBCookieStickinessPolicies(Collection<LBCookieStickinessPolicy> lBCookieStickinessPolicies)

  Sets the value of the LBCookieStickinessPolicies property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `lBCookieStickinessPolicies` - The new value for the LBCookieStickinessPolicies property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.